## specreduce 1.0.0

=== notebook_sandbox/jwst_boxcar/requirements.txt ===
notebook==6.4.1
jupyter_client==5.3.5
numpy==1.21.0
scipy #==1.5.2
specutils==1.1.1
glue-astronomy==0.1
glue-core==1.0.0
glue-jupyter==0.2.1
glue-vispy-viewers==1.0.1
jdaviz==1.0.3
git+https://github.com/astropy/regions.git
photutils==1.0.1
astropy>=4.2
matplotlib==3.3.2
ipyvuetify==1.6.2
ipyvue==1.5.0
git+https://github.com/radio-astro-tools/radio-beam.git
git+https://github.com/spacetelescope/jwst@0.16.1
git+https://github.com/astropy/specreduce.git
ccdproc

=== debian/changelog ===
specreduce (1.0.0-2) unstable; urgency=medium

  * Switch package to arch=all
  * Add specreduce-data dependency to CI tests

 -- Ole Streicher <olebole@debian.org>  Wed, 03 Aug 2022 20:59:12 +0200

specreduce (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1012441)

 -- Ole Streicher <olebole@debian.org>  Tue, 19 Jul 2022 15:32:56 +0200

## specreduce 1.1.0

=== debian/changelog ===
specreduce (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 20 Aug 2022 11:40:04 +0200

=== debian/control ===
Source: specreduce
Section: python
Priority: optional
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-astropy,
               python3-extension-helpers,
               python3-matplotlib,
               python3-photutils,
               python3-pytest,
               python3-pytest-astropy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-specreduce-data,
               python3-specutils,
               python3-synphot
Standards-Version: 4.6.1
Homepage: https://github.com/astropy/specreduce
Vcs-Git: https://salsa.debian.org/debian-astro-team/specreduce.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/specreduce

Package: python3-specreduce
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-specreduce-data
Description: Astropy package to reduce and calibrate astronomical spectra
 The specreduce package aims to provide a data reduction toolkit for
 optical and infrared spectroscopy, on which applications such as
 pipeline processes for specific instruments can be built.
 .
 The scope of its functionality is limited to basic spectroscopic
 reduction, with basic image processing steps (such as bias
 subtraction) instead covered by ccdproc and other packages, data
 analysis by specutils and visualization by specviz or cubeviz.

## specreduce 1.2.0

=== debian/changelog ===
specreduce (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Fix license statement

 -- Ole Streicher <olebole@debian.org>  Fri, 07 Oct 2022 12:31:20 +0200

## specreduce 1.3.0

=== notebook_sandbox/horne_extract/requirements.txt ===
astropy=5.0
matplotlib==3.5.0
numpy==1.21.4

=== debian/changelog ===
specreduce (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * Skip more tests that would require remote access
  * Push Standards-Version to 4.6.2. No changes
  * Add minversion for specutils

 -- Ole Streicher <olebole@debian.org>  Sat, 07 Jan 2023 15:44:24 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-specreduce-data,
-               python3-specutils,
+               python3-specutils (>= 1.9.1~),
                python3-synphot
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/astropy/specreduce
 Vcs-Git: https://salsa.debian.org/debian-astro-team/specreduce.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/specreduce

=== debian/tests/control ===
Test-Command: cd $ADTTMP && pytest-3 --pyargs specreduce
Depends: @, python3-specreduce-data, python3-matplotlib, python3-pytest
Restrictions: allow-stderr

## specreduce 1.4.0

=== debian/changelog ===
specreduce (1.4.0-2) unstable; urgency=medium

  * Don't install non-package files (Closes: #1072391)

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Jun 2024 08:56:57 +0200

specreduce (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Rediff patches
  * Push Standards-Version to 4.7.0. Add Rules-Requires-Root: no
  * Build-Depend on pybuild-plugin-pyproject
  * Add photutils to test dependencies

 -- Ole Streicher <olebole@debian.org>  Fri, 31 May 2024 18:03:46 +0200

specreduce (1.3.0-2) unstable; urgency=medium

  * Ignore all deprecation warnings (Closes: #1058360)

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Dec 2023 12:09:39 +0100

## specreduce 1.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

#This is needed with git because git doesn't create a dir if it's empty
$(shell [ -d "_static" ] || mkdir -p _static)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf api
	-rm -rf generated

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Astropy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Astropy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Astropy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Astropy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	@echo "Run 'python setup.py test' in the root directory to run doctests " \
	@echo "in the documentation."

=== debian/changelog ===
specreduce (1.4.1-2) unstable; urgency=medium

  * Increase tolerance in test_tracing for Astropy 7.0 compatibility

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Nov 2024 08:41:27 +0100

specreduce (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1

 -- Ole Streicher <olebole@debian.org>  Thu, 20 Jun 2024 18:25:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-astropy,
                python3-extension-helpers,
@@ -17,10 +18,11 @@
                python3-specreduce-data,
                python3-specutils (>= 1.9.1~),
                python3-synphot
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/astropy/specreduce
 Vcs-Git: https://salsa.debian.org/debian-astro-team/specreduce.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/specreduce
+Rules-Requires-Root: no
 
 Package: python3-specreduce
 Architecture: all

## specreduce 1.5.0

=== debian/changelog ===
specreduce (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Drop patches that were resolved upstream
  * Push Standards-Version to 4.7.2, no changes needed
  * Copy conftest.py for pytest

 -- Ole Streicher <olebole@debian.org>  Thu, 06 Mar 2025 09:37:06 +0100

## specreduce 1.5.1

=== debian/changelog ===
specreduce (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Mar 2025 21:08:02 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-specreduce-data,
                python3-specutils (>= 1.9.1~),
                python3-synphot
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/astropy/specreduce
 Vcs-Git: https://salsa.debian.org/debian-astro-team/specreduce.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/specreduce

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export HOME=$(shell mktemp -d)

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: cp conftest.py $ADTTMP && cd $ADTTMP && pytest-3 --pyargs specreduce
Depends: @, python3-specreduce-data, python3-matplotlib, python3-pytest, python3-photutils
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c|\.dev)/~$1/ \
https://pypi.debian.net/specreduce/specreduce-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## specreduce 1.6.0

=== debian/changelog ===
specreduce (1.6.0-3) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.

  [ Ole Streicher ]
  * Add missing python3-pytest-astropy test dependency
  * d/watch: switch upstream source to Github

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Oct 2025 11:18:40 +0200

specreduce (1.6.0-2) unstable; urgency=medium

  * Enforce specutils version number >= 2 in test (Closes: #1114394)

 -- Ole Streicher <olebole@debian.org>  Mon, 08 Sep 2025 22:39:39 +0200

specreduce (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Rediff patches
  * d/u/metadata: remove unknown tag "Name"
  * Remove unneded minversion from build-deps

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Aug 2025 13:59:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: specreduce
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                pybuild-plugin-pyproject,
@@ -16,17 +16,17 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-specreduce-data,
-               python3-specutils (>= 1.9.1~),
+               python3-specutils (>= 2~),
                python3-synphot
 Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/specreduce
+Vcs-Git: https://salsa.debian.org/debian-astro-team/specreduce.git
 Homepage: https://github.com/astropy/specreduce
-Vcs-Git: https://salsa.debian.org/debian-astro-team/specreduce.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/specreduce
-Rules-Requires-Root: no
 
 Package: python3-specreduce
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Recommends: python3-specreduce-data
 Description: Astropy package to reduce and calibrate astronomical spectra
  The specreduce package aims to provide a data reduction toolkit for

=== debian/watch ===
Version: 5
Template: Github
Owner: astropy
Project: specreduce

## specreduce 1.7.0

=== notebook_sandbox/jwst_boxcar/requirements.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-notebook==6.4.1
+notebook==6.4.12
 jupyter_client==5.3.5
-numpy==1.21.0
+numpy==1.22.0
 scipy #==1.5.2
 specutils==1.1.1
 glue-astronomy==0.1

=== debian/changelog ===
specreduce (1.7.0-2) unstable; urgency=medium

  * Remove dpecreduce-data dependency
  * Push Standards-Version to 4.7.3, no changes needed
  * Rename CI config file to d/salsa-ci.yml

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Jan 2026 14:57:43 +0100

specreduce (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Rediff patches
  * Add missing @remote_data marker

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Nov 2025 10:07:07 +0100

=== debian/control ===
Source: specreduce
Standards-Version: 4.7.3
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-astropy,
 python3-extension-helpers,
 python3-matplotlib,
 python3-photutils,
 python3-pytest,
 python3-pytest-astropy,
 python3-setuptools,
 python3-setuptools-scm,
 python3-specutils (>= 2~),
 python3-synphot,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/specreduce
Vcs-Git: https://salsa.debian.org/debian-astro-team/specreduce.git
Homepage: https://github.com/astropy/specreduce

Package: python3-specreduce
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Astropy package to reduce and calibrate astronomical spectra
 The specreduce package aims to provide a data reduction toolkit for
 optical and infrared spectroscopy, on which applications such as
 pipeline processes for specific instruments can be built.
 .
 The scope of its functionality is limited to basic spectroscopic
 reduction, with basic image processing steps (such as bias
 subtraction) instead covered by ccdproc and other packages, data
 analysis by specutils and visualization by specviz or cubeviz.

=== debian/tests/control ===
Test-Command: cp conftest.py $ADTTMP && cd $ADTTMP && pytest-3 --pyargs specreduce
Depends:
 @,
 python3-matplotlib,
 python3-pytest,
 python3-pytest-astropy,
 python3-photutils
Restrictions: allow-stderr

## specreduce 1.8.0

=== debian/changelog ===
specreduce (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Rediff patches. Drop patches that are no longer needed

 -- Ole Streicher <olebole@debian.org>  Wed, 25 Feb 2026 18:48:17 +0100
